Minecraft Server Java 1.8 issue Ubuntu



  • Hey there im currently running a minecraft server with java 1.8 on ubuntu and i keep getting console spammed about this. I have not tested if it happens on the default 1.7 java that is bundled with puffinpanel also it would be a great idea if the puffinpanel auto installer had an option to choose between java 1.7 and 1.8 certain mods depend on these version

    [20:56:26 WARN]: Could not lock User prefs.  Unix error code 2.>
    [20:56:26 WARN]: Couldn't flush user prefs: java.util.prefs.BackingStoreException: Couldn't get file lock.
    


  • What version of Ubuntu? If it's 16.04 run this command then start the server: sudo apt-get install -y default-jdk



  • Are you sure the usernames/servernames are correct?
    This error normaly means that the user directory can't be found (or has no access to it, I'm not sure)
    Anyway, if there is no user directory, create on and chown it like this:

    sudo chown -R pp-SERVERNAME:scalesuser /home/pp-SERVERNAME/*
    

    where "SERVERNAME" is the ID of your server. (for example pp-hubxyz)



  • @PacksGamingHD said in Minecraft Server Java 1.8 issue Ubuntu:

    What version of Ubuntu? If it's 16.04 run this command then start the server: sudo apt-get install -y default-jdk

    Im running 14.04

    @NullDev said in Minecraft Server Java 1.8 issue Ubuntu:

    Are you sure the usernames/servernames are correct?
    This error normaly means that the user directory can't be found (or has no access to it, I'm not sure)
    Anyway, if there is no user directory, create on and chown it like this:

    sudo chown -R pp-SERVERNAME:scalesuser /home/pp-SERVERNAME/*
    

    where "SERVERNAME" is the ID of your server. (for example pp-hubxyz)

    I am still getting this issue it seems to be java 1.8 causing it



  • What makes you think it is Java 8?



  • @LordRalex Because the default java that comes with pufferpanel is 1.7 maybe changing it has affected the way it works also some files in the 1.7 version of the java directory are not in the 1.8 java directory. Another reason is that there is 2 types of java used the normal jde and the open jde.



  • Java will not cause that kind of problem.


Log in to reply
 

Looks like your connection to PufferPanel Community was lost, please wait while we try to reconnect.